io.vertx.rxjava3.grpc.server

## Class GrpcServerResponse<Req,Resp>

- java.lang.Object
- - io.vertx.rxjava3.grpc.common.GrpcWriteStream<Resp>
  - - io.vertx.rxjava3.grpc.server.GrpcServerResponse<Req,Resp>

- All Implemented Interfaces:
    StreamBase, WriteStream<Resp>

      public class GrpcServerResponse<Req,Resp>
      extends GrpcWriteStream<Resp>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<GrpcServerResponse>` | `__TYPE_ARG`
    `io.vertx.lang.rx.TypeArg<Req>` | `__typeArg_0`
    `io.vertx.lang.rx.TypeArg<Resp>` | `__typeArg_1`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GrpcServerResponse(GrpcServerResponse delegate)`
    `GrpcServerResponse(Object delegate, io.vertx.lang.rx.TypeArg<Req> typeArg_0, io.vertx.lang.rx.TypeArg<Resp> typeArg_1)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GrpcServerResponse<Req,Resp>` | `drainHandler(Handler<Void> handler)` Set a drain handler on the stream.
    `GrpcServerResponse<Req,Resp>` | `encoding(String encoding)` Set the stream encoding, e.g `identity` or `gzip`.
    `Completable` | `end()` Same as `WriteStream.end()` but with an `handler` called when the operation completes
    `Completable` | `end(Resp data)` Same as but with an `handler` called when the operation completes
    `boolean` | `equals(Object o)`
    `GrpcServerResponse<Req,Resp>` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the write stream.
    `GrpcServerResponse` | `getDelegate()`
    `int` | `hashCode()`
    `static <Req,Resp> GrpcServerResponse<Req,Resp>` | `newInstance(GrpcServerResponse arg)`
    `static <Req,Resp> GrpcServerResponse<Req,Resp>` | `newInstance(GrpcServerResponse arg, io.vertx.lang.rx.TypeArg<Req> __typeArg_Req, io.vertx.lang.rx.TypeArg<Resp> __typeArg_Resp)`
    `Completable` | `rxEnd()` Same as `WriteStream.end()` but with an `handler` called when the operation completes
    `Completable` | `rxEnd(Resp data)` Same as but with an `handler` called when the operation completes
    `Completable` | `rxSend(Flowable<Resp> body)`
    `Completable` | `rxSend(Resp item)`
    `Completable` | `rxWrite(Resp data)` Same as but with an `handler` called when the operation completes
    `Completable` | `send(Flowable<Resp> body)`
    `Completable` | `send(Resp item)`
    `GrpcServerResponse<Req,Resp>` | `setWriteQueueMaxSize(int maxSize)` Set the maximum size of the write queue to `maxSize`.
    `GrpcServerResponse<Req,Resp>` | `status(GrpcStatus status)` Set the grpc status response
    `GrpcServerResponse<Req,Resp>` | `statusMessage(String msg)` Set the grpc status response message
    `WriteStreamObserver<Resp>` | `toObserver()`
    `String` | `toString()`
    `WriteStreamSubscriber<Resp>` | `toSubscriber()`
    `MultiMap` | `trailers()`
    `Completable` | `write(Resp data)` Same as but with an `handler` called when the operation completes
    `boolean` | `writeQueueFull()` This will return `true` if there are more bytes in the write queue than the value set using `setWriteQueueMaxSize(int)`

    - ### Methods inherited from class io.vertx.rxjava3.grpc.common.GrpcWriteStream

      `cancel, endMessage, headers, newInstance, newInstance, rxEndMessage, rxWriteMessage, writeMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava3.core.streams.WriteStream

      `newInstance, newInstance`

    - ### Methods inherited from interface io.vertx.rxjava3.core.streams.StreamBase

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<GrpcServerResponse> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<Req> __typeArg_0

    - #### __typeArg_1

          public final io.vertx.lang.rx.TypeArg<Resp> __typeArg_1

  - ### Constructor Detail

    - #### GrpcServerResponse

          public GrpcServerResponse(GrpcServerResponse delegate)

    - #### GrpcServerResponse

          public GrpcServerResponse(Object delegate,
                                    io.vertx.lang.rx.TypeArg<Req> typeArg_0,
                                    io.vertx.lang.rx.TypeArg<Resp> typeArg_1)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `GrpcWriteStream<Resp>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `GrpcWriteStream<Resp>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `GrpcWriteStream<Resp>`

    - #### getDelegate

          public GrpcServerResponse getDelegate()

      Specified by:
        `getDelegate` in interface `StreamBase`
      Specified by:
        `getDelegate` in interface `WriteStream<Resp>`
      Overrides:
        `getDelegate` in class `GrpcWriteStream<Resp>`

    - #### toObserver

          public WriteStreamObserver<Resp> toObserver()

      Overrides:
        `toObserver` in class `GrpcWriteStream<Resp>`

    - #### toSubscriber

          public WriteStreamSubscriber<Resp> toSubscriber()

      Overrides:
        `toSubscriber` in class `GrpcWriteStream<Resp>`

    - #### write

          public Completable write(Resp data)

      Same as but with an `handler` called when the operation completes
      Specified by:
        `write` in interface `WriteStream<Resp>`
      Overrides:
        `write` in class `GrpcWriteStream<Resp>`
      Parameters:
        `data` -
      Returns:

    - #### rxWrite

          public Completable rxWrite(Resp data)

      Same as but with an `handler` called when the operation completes
      Specified by:
        `rxWrite` in interface `WriteStream<Resp>`
      Overrides:
        `rxWrite` in class `GrpcWriteStream<Resp>`
      Parameters:
        `data` -
      Returns:

    - #### end

          public Completable end()

      Same as `WriteStream.end()` but with an `handler` called when the operation completes
      Specified by:
        `end` in interface `WriteStream<Resp>`
      Overrides:
        `end` in class `GrpcWriteStream<Resp>`
      Returns:

    - #### rxEnd

          public Completable rxEnd()

      Same as `WriteStream.end()` but with an `handler` called when the operation completes
      Specified by:
        `rxEnd` in interface `WriteStream<Resp>`
      Overrides:
        `rxEnd` in class `GrpcWriteStream<Resp>`
      Returns:

    - #### end

          public Completable end(Resp data)

      Same as but with an `handler` called when the operation completes
      Specified by:
        `end` in interface `WriteStream<Resp>`
      Overrides:
        `end` in class `GrpcWriteStream<Resp>`
      Parameters:
        `data` -
      Returns:

    - #### rxEnd

          public Completable rxEnd(Resp data)

      Same as but with an `handler` called when the operation completes
      Specified by:
        `rxEnd` in interface `WriteStream<Resp>`
      Overrides:
        `rxEnd` in class `GrpcWriteStream<Resp>`
      Parameters:
        `data` -
      Returns:

    - #### writeQueueFull

          public boolean writeQueueFull()

      This will return `true` if there are more bytes in the write queue than the value set using `setWriteQueueMaxSize(int)`
      Specified by:
        `writeQueueFull` in interface `WriteStream<Resp>`
      Overrides:
        `writeQueueFull` in class `GrpcWriteStream<Resp>`
      Returns:
        `true` if write queue is full

    - #### status

          public GrpcServerResponse<Req,Resp> status(GrpcStatus status)

      Set the grpc status response
      Parameters:
        `status` - the status
      Returns:
        a reference to this, so the API can be used fluently

    - #### statusMessage

          public GrpcServerResponse<Req,Resp> statusMessage(String msg)

      Set the grpc status response message
      Parameters:
        `msg` - the message
      Returns:
        a reference to this, so the API can be used fluently

    - #### encoding

          public GrpcServerResponse<Req,Resp> encoding(String encoding)

      Description copied from class: `GrpcWriteStream`
      Set the stream encoding, e.g `identity` or `gzip`. It must be called before sending any message, otherwise {@code identity will be used.
      Overrides:
        `encoding` in class `GrpcWriteStream<Resp>`
      Parameters:
        `encoding` - the target message encoding
      Returns:
        a reference to this, so the API can be used fluently

    - #### trailers

          public MultiMap trailers()

      Returns:
        the to write metadata trailers

    - #### exceptionHandler

          public GrpcServerResponse<Req,Resp> exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `WriteStream`
      Set an exception handler on the write stream.
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Specified by:
        `exceptionHandler` in interface `WriteStream<Resp>`
      Overrides:
        `exceptionHandler` in class `GrpcWriteStream<Resp>`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### setWriteQueueMaxSize

          public GrpcServerResponse<Req,Resp> setWriteQueueMaxSize(int maxSize)

      Description copied from interface: `WriteStream`
      Set the maximum size of the write queue to `maxSize`. You will still be able to write to the stream even if there is more than `maxSize` items in the write queue. This is used as an indicator by classes such as `Pipe` to provide flow control.

      The value is defined by the implementation of the stream, e.g in bytes for a `NetSocket`, etc...
      Specified by:
        `setWriteQueueMaxSize` in interface `WriteStream<Resp>`
      Overrides:
        `setWriteQueueMaxSize` in class `GrpcWriteStream<Resp>`
      Parameters:
        `maxSize` - the max size of the write stream
      Returns:
        a reference to this, so the API can be used fluently

    - #### drainHandler

          public GrpcServerResponse<Req,Resp> drainHandler(Handler<Void> handler)

      Description copied from interface: `WriteStream`
      Set a drain handler on the stream. If the write queue is full, then the handler will be called when the write queue is ready to accept buffers again. See `Pipe` for an example of this being used.

      The stream implementation defines when the drain handler, for example it could be when the queue size has been reduced to `maxSize / 2`.

      Specified by:
        `drainHandler` in interface `WriteStream<Resp>`
      Overrides:
        `drainHandler` in class `GrpcWriteStream<Resp>`
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### send

          public Completable send(Resp item)

    - #### rxSend

          public Completable rxSend(Resp item)

    - #### send

          public Completable send(Flowable<Resp> body)

    - #### rxSend

          public Completable rxSend(Flowable<Resp> body)

    - #### newInstance

          public static <Req,Resp> GrpcServerResponse<Req,Resp> newInstance(GrpcServerResponse arg)

    - #### newInstance

          public static <Req,Resp> GrpcServerResponse<Req,Resp> newInstance(GrpcServerResponse arg,
                                                                            io.vertx.lang.rx.TypeArg<Req> __typeArg_Req,
                                                                            io.vertx.lang.rx.TypeArg<Resp> __typeArg_Resp)

Copyright © 2023 Eclipse. All rights reserved.